Template Numerical Library: TNL::Functions::experimental::MeshFunctionEvaluator< OutMeshFunction, InFunction > Class Template Reference

Template Numerical Library version\ main:16b9213d5

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Protected Types | Static Protected Member Functions | List of all members
TNL::Functions::experimental::MeshFunctionEvaluator< OutMeshFunction, InFunction > Class Template Reference

## Public Types
using | DeviceType = typename MeshType::DeviceType
using | MeshType = typename OutMeshFunction::MeshType
using | RealType = typename InFunction::RealType
using | TraverserUserData = MeshFunctionEvaluatorTraverserUserData< OutMeshFunction, InFunction, RealType >

## Static Public Member Functions
template<typename OutMeshFunctionPointer, typename InFunctionPointer>
static void | evaluate (OutMeshFunctionPointer &meshFunction, const InFunctionPointer &function, const RealType &time=(RealType) 0.0, const RealType &outFunctionMultiplicator=(RealType) 0.0, const RealType &inFunctionMultiplicator=(RealType) 1.0)
template<typename OutMeshFunctionPointer, typename InFunctionPointer>
static void | evaluateAllEntities (OutMeshFunctionPointer &meshFunction, const InFunctionPointer &function, const RealType &time=(RealType) 0.0, const RealType &outFunctionMultiplicator=(RealType) 0.0, const RealType &inFunctionMultiplicator=(RealType) 1.0)
template<typename OutMeshFunctionPointer, typename InFunctionPointer>
static void | evaluateBoundaryEntities (OutMeshFunctionPointer &meshFunction, const InFunctionPointer &function, const RealType &time=(RealType) 0.0, const RealType &outFunctionMultiplicator=(RealType) 0.0, const RealType &inFunctionMultiplicator=(RealType) 1.0)
template<typename OutMeshFunctionPointer, typename InFunctionPointer>
static void | evaluateInteriorEntities (OutMeshFunctionPointer &meshFunction, const InFunctionPointer &function, const RealType &time=(RealType) 0.0, const RealType &outFunctionMultiplicator=(RealType) 0.0, const RealType &inFunctionMultiplicator=(RealType) 1.0)

## Protected Types
enum | EntitiesType : std::uint8_t { all , boundary , interior }

## Static Protected Member Functions
template<typename OutMeshFunctionPointer, typename InFunctionPointer>
static void | evaluateEntities (OutMeshFunctionPointer &meshFunction, const InFunctionPointer &function, const RealType &time, const RealType &outFunctionMultiplicator, const RealType &inFunctionMultiplicator, EntitiesType entitiesType)

The documentation for this class was generated from the following files:

- src/TNL/Functions/experimental/MeshFunctionEvaluator.h
- src/TNL/Functions/experimental/MeshFunctionEvaluator_impl.h